org.jbpm.services.task.identity

## Class LDAPUserGroupCallbackImpl

- java.lang.Object
- - org.jbpm.services.task.identity.AbstractUserGroupInfo
  - - org.jbpm.services.task.identity.LDAPUserGroupCallbackImpl

- All Implemented Interfaces:
    org.kie.api.task.UserGroupCallback

      public class LDAPUserGroupCallbackImpl
      extends AbstractUserGroupInfo
      implements org.kie.api.task.UserGroupCallback

  LDAP integration for Task Service to collect user and role/group information. Following is a list of all supported properties:
  - ldap.bind.user (optional if LDAP server accepts anonymous access)
  - ldap.bind.pwd (optional if LDAP server accepts anonymous access
  - ldap.user.ctx (mandatory)
  - ldap.role.ctx (mandatory)
  - ldap.user.roles.ctx (optional, if not given ldap.role.ctx will be used)
  - ldap.user.filter (mandatory)
  - ldap.role.filter (mandatory)
  - ldap.user.roles.filter (mandatory)
  - ldap.user.attr.id (optional, if not given 'uid' will be used)
  - ldap.roles.attr.id (optional, if not given 'cn' will be used)
  - ldap.user.id.dn (optional, is user id a DN, instructs the callback to query for user DN before searching for roles, default false)
  - ldap.search.scope (optional, if not given 'OBJECT_SCOPE' will be used) possible values are: OBJECT_SCOPE, ONELEVEL_SCOPE, SUBTREE_SCOPE
  - java.naming.factory.initial
  - java.naming.security.authentication
  - java.naming.security.protocol
  - java.naming.provider.url

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `BIND_PWD`
    `static String` | `BIND_USER`
    `protected static String` | `DEFAULT_PROPERTIES_NAME`
    `static String` | `IS_USER_ID_DN`
    `protected static String[]` | `requiredProperties`
    `static String` | `ROLE_ATTR_ID`
    `static String` | `ROLE_CTX`
    `static String` | `ROLE_FILTER`
    `static String` | `SEARCH_SCOPE`
    `static String` | `USER_ATTR_ID`
    `static String` | `USER_CTX`
    `static String` | `USER_FILTER`
    `static String` | `USER_ROLES_CTX`
    `static String` | `USER_ROLES_FILTER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LDAPUserGroupCallbackImpl(boolean activate)`
    `LDAPUserGroupCallbackImpl(Properties config)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected InitialLdapContext` | `buildInitialLdapContext()`
    `boolean` | `existsGroup(String groupId)`
    `boolean` | `existsUser(String userId)`
    `List<String>` | `getGroupsForUser(String userId, List<String> groupIds, List<String> allExistingGroupIds)`
    `protected int` | `parseSearchScope(String searchScope)`
    `protected void` | `validate()`

    - ### Methods inherited from class org.jbpm.services.task.identity.AbstractUserGroupInfo

      `readProperties`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_PROPERTIES_NAME

          protected static final String DEFAULT_PROPERTIES_NAME

      See Also:
        Constant Field Values

    - #### BIND_USER

          public static final String BIND_USER

      See Also:
        Constant Field Values

    - #### BIND_PWD

          public static final String BIND_PWD

      See Also:
        Constant Field Values

    - #### USER_CTX

          public static final String USER_CTX

      See Also:
        Constant Field Values

    - #### ROLE_CTX

          public static final String ROLE_CTX

      See Also:
        Constant Field Values

    - #### USER_ROLES_CTX

          public static final String USER_ROLES_CTX

      See Also:
        Constant Field Values

    - #### USER_FILTER

          public static final String USER_FILTER

      See Also:
        Constant Field Values

    - #### ROLE_FILTER

          public static final String ROLE_FILTER

      See Also:
        Constant Field Values

    - #### USER_ROLES_FILTER

          public static final String USER_ROLES_FILTER

      See Also:
        Constant Field Values

    - #### USER_ATTR_ID

          public static final String USER_ATTR_ID

      See Also:
        Constant Field Values

    - #### ROLE_ATTR_ID

          public static final String ROLE_ATTR_ID

      See Also:
        Constant Field Values

    - #### IS_USER_ID_DN

          public static final String IS_USER_ID_DN

      See Also:
        Constant Field Values

    - #### SEARCH_SCOPE

          public static final String SEARCH_SCOPE

      See Also:
        Constant Field Values

    - #### requiredProperties

          protected static final String[] requiredProperties

  - ### Constructor Detail

    - #### LDAPUserGroupCallbackImpl

          public LDAPUserGroupCallbackImpl(boolean activate)

    - #### LDAPUserGroupCallbackImpl

          public LDAPUserGroupCallbackImpl(Properties config)

  - ### Method Detail

    - #### existsUser

          public boolean existsUser(String userId)

      Specified by:
        `existsUser` in interface `org.kie.api.task.UserGroupCallback`

    - #### existsGroup

          public boolean existsGroup(String groupId)

      Specified by:
        `existsGroup` in interface `org.kie.api.task.UserGroupCallback`

    - #### getGroupsForUser

          public List<String> getGroupsForUser(String userId,
                                               List<String> groupIds,
                                               List<String> allExistingGroupIds)

      Specified by:
        `getGroupsForUser` in interface `org.kie.api.task.UserGroupCallback`

    - #### validate

          protected void validate()

    - #### buildInitialLdapContext

          protected InitialLdapContext buildInitialLdapContext()
                                                        throws NamingException

      Throws:
        `NamingException`

    - #### parseSearchScope

          protected int parseSearchScope(String searchScope)

Copyright © 2001–2016 JBoss by Red Hat. All rights reserved.